Subject: Board position notation

From: [email-masked] (Michael P. Frank)
Date: Mon, 20 Jul 92 14:42:09 EDT

Below is my favorite notation so far for indicating positions on the
Abalone board.  This is partly due to Andreas Thurnherr
<[email-masked]>.

	Like in Andreas' program, positions are indicated by a
letter-number pair, e.g., "a1", "d5", etc.  The letter may be either
upper or lower case.  Unlike Andreas' notation, the letter indicates
not a vertical column but rather a 'diagonal column', as shown:
                  
                 /---------\
             9 -/ @ @ @ @ @ \
            8 -/ @ @ @ @ @ @ \
           7 -/ . . @ @ @ . . \     @ = white
      R   6 -/ . . . . . . . . \    O = black
      O  5 -| . . . . . . . . . |   . = empty
      W   4 -\ . . . . . . . . / 
      S    3 -\ . . O O O . . / \ 
            2 -\ O O O O O O / \ I 
             1 -\ O O O O O / \ H  
                 \---------/ \ G   DIAGONAL COLUMNS
                    \ \ \ \ \ F
                     A B C D E

(If you unskew the coordinate system, the board looks
skewed, like this:)
                                   
       9 -|         @ @ @ @ @ 
       8 -|       @ @ @ @ @ @ 
       7 -|     . . @ @ @ . . 
     R 6 -|   . . . . . . . . 
     O 5 -| . . . . . . . . . 
     W 4 -| . . . . . . . .  
     S 3 -| . . O O O . .   
       2 -| O O O O O O    
       1 -| O O O O O     
	   ------------------
            | | | | | | | | |
            A B C D E F G H I
            DIAGONAL COLUMNS

I like this notation because:

1. The rows are symmetrical to the columns.

2. Marbles in a line on the board will always have either:
	* The same row number (a1,b1), or
	* The same diagonal column letter (a1,a2), or
	* Row and column differing by the same amount (a1,b2).

3. Representational efficiency: over 3/4 of all pairs of a
	number (1-9) and letter (A-I) correspond to actual board
	positions.

This position notation can be combined with Andreas' direction
notation:

     NW NE
      \ / 
   W --O-- E
      / \  
     SW SE

to produce a compact, easy-to-write, easy-to-read move notation.  For
example, you might represent some of black's opening moves like this:

    a1,ne	Move marble at A1 to the north-east (line of 3)
    a2b2,nw	Broadside, move marbles at A2 and B2 to the north-west
    c3-e3,ne    Broadside, move marbles C3, D3, and E3 to the north-east

I'm not sure what punctuation would be best. 

Also, for purposes of recording games, we might want to add some
notation indicating pushes and ejections, like they use in chess to
indicate captures, check and checkmate.

-Mike